interface CookieParseOptions {
    decode?(value: string): string;
}
export declare const parseCookie: (str: string, options?: CookieParseOptions) => Record<any, string | undefined>;
export type CookieAttributes = {
    domain?: string | undefined;
    encode?: (value: string) => string;
    expires?: Date | undefined;
    httpOnly?: boolean | undefined;
    maxAge?: number | undefined;
    path?: string | undefined;
    priority?: "low" | "medium" | "high" | undefined;
    sameSite?: true | false | "lax" | "strict" | "none" | undefined;
    secure?: boolean | undefined;
};
type CookieSerializeOptions = CookieAttributes;
export declare const serializeCookie: (name: string, val: string, options?: CookieSerializeOptions) => string;
export {};
